%define name    bogofilter
%define ver     1.2.1
%define rel     1.ru

Summary:	Bogofilter: Fast anti-spam filtering by Bayesian statistical analysis
Name: 		%{name}
Version: 	%{ver} 
Release: 	%{rel}
License: 	GPL
Group:          Networking/Mail
URL:            http://bogofilter.sourceforge.net
Source0:        %{name}-%{ver}.tar.bz2
Vendor: 	NBCS-OSS
Packager:       Brian Schubert <schubert@nbcs.rutgers.edu>
Requires: 	db4 >= 4.3
BuildRequires: 	db4-devel >= 4.3
BuildRoot: 	%{_tmppath}/%{name}-root

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.


%prep
%setup -q

%build
./configure --with-libdb-prefix=/usr/local/lib
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc AUTHORS COPYING INSTALL
%doc GETTING.STARTED
%doc NEWS README* RELEASE.NOTES TODO
%doc doc/bogofilter-tuning.HOWTO.html
%doc doc/bogofilter-SA-2002-01
%doc doc/integrating*
%doc doc/programmer
%doc doc/README.*db doc/rpm.notes.BerkeleyDB

%{_sysconfdir}/bogofilter.cf.example

/usr/local/bin/bogofilter
/usr/local/bin/bogolexer
/usr/local/bin/bogotune
/usr/local/bin/bogoutil
/usr/local/bin/bogoupgrade
/usr/local/bin/bf_copy
/usr/local/bin/bf_compact
/usr/local/bin/bf_tar

/usr/local/share/man/man1/bogofilter.1*
/usr/local/share/man/man1/bogolexer.1*
/usr/local/share/man/man1/bogotune.1*
/usr/local/share/man/man1/bogoutil.1*
/usr/local/share/man/man1/bogoupgrade.1*
/usr/local/share/man/man1/bf_compact.1*
/usr/local/share/man/man1/bf_copy.1*
/usr/local/share/man/man1/bf_tar.1*

%changelog 
* Thu Jan 14 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> - 1.2.1-1.ru
- Edited for CentOS build
* Thu Jan 07 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> - 1.2.1-1
- Respin against BDB 4.8; update to 1.2.1
* Mon Oct 20 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.1.7-3
- Respin against BDB 4.7
* Tue Apr 06 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 1.1.7-1
- bumped
* Thu Jan 17 2008 Kevin Mulvey <kmulvey at nbcs dot rutgers dot edu> - 1.1.6-1
- Updated to 1.1.6
* Tue Jul 17 2007 Kevin Mulvey <kmulvey at nbcs dot rutgers dot edu> - 1.1.5-2
- added patch for NFS compatability
* Mon Apr 30 2007 Kevin Mulvey <kmulvey at nbcs dot rutgers dot edu> - 1.1.5-1
- Updated to 1.1.5
